## bambam 1.1.1+dfsg

=== Makefile ===
VERSION = 1.1.1
LINGUAS = pl nb_NO fr
PREFIX ?=

.PHONY: all-mo
all-mo: $(LINGUAS:%=po/%.mo)

.PHONY: all
all: all-mo all-manpages

.PHONY: all-manpages
all-manpages: $(LINGUAS:%=bambam.%.6)

.PHONY: install-mo
install-mo: $(LINGUAS:%=install-mo-%)

.PHONY: install-mo-%
install-mo-%: po/%.mo
	install -o root -g root -m 0644 -D $< $(PREFIX)/usr/share/locale/$*/LC_MESSAGES/bambam.mo

po/%.mo: po/%.po
	msgfmt -o $@ $<

po/%.po: bambam.pot
	msgmerge -U $@ $<
	touch $@

bambam.pot: bambam-py.pot bambam-man.pot
	msgcat $^ > $@

bambam-py.pot: bambam.py Makefile
	xgettext -d bambam --msgid-bugs-address=marcin@owsiany.pl --package-name bambam --package-version $(VERSION) -o $@ -kN_ -c $<

bambam-man.pot: bambam.6
	po4a-gettextize -f man -m $< -p $@

bambam.%.6: po/%.po bambam.6
	po4a-translate -f man -m bambam.6 -p $< -l $@

.PHONY: clean
clean:
	rm -f $(LINGUAS:%=po/%.mo)

## bambam 0.4.dfsg

=== debian/changelog ===
bambam (0.4.dfsg-2) unstable; urgency=low

  * Add instructions on quitting in README.Debian.

 -- Bojana Borkovic <bojana.borkovic@ulk.rs.ba>  Sun, 11 Nov 2012 13:22:24 +0000

bambam (0.4.dfsg-1) unstable; urgency=low

  * Initial release. Closes: #591494.

 -- Bojana Borkovic <bojana.borkovic@ulk.rs.ba>  Sun, 11 Nov 2012 13:41:00 +0100

=== debian/control ===
Source: bambam
Section: games
Priority: optional
Maintainer: Bojana Borkovic <bojana.borkovic@ulk.rs.ba>
Build-Depends: debhelper (>> 9)
Standards-Version: 3.9.3
Homepage: https://launchpad.net/bambam

Package: bambam
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-pygame
Description: keyboard mashing game for babies
 Bambam is a simple baby keyboard masher application that locks
 the keyboard and mouse and instead displays bright colors,
 pictures, and sounds.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

binary: build
	dh binary --until dh_install
	install -D bambam.py $(CURDIR)/debian/bambam/usr/games/bambam
	dh binary --remaining

## bambam 0.5+dfsg

=== debian/changelog ===
bambam (0.5+dfsg-0.1) unstable; urgency=low

  * Non-maintainer upload to DELAYED-10
  * New upstream version. Closes: #739718
    - supports printing upper-case letters. Closes: #708119
    - supports blacklisting individual files. Closes: #708124
  * Drop useless debian/patches/fix_msf_offset - it's for a different package
    and was not mentioned in debian/patches/series
  * Drop debian/patches/fix_sound_files - from 0.5 version on, the program
    dynamically discovers files to load.
  * Updated the Homepage field to point at the active site.
  * Added a watch file and a Vcs-Svn field
  * Small fixes to the debian/rules file, use dh python2 helper, which adds a
    python dependency. Closes: #693091
  * Added a desktop, menu file and a couple of icons. Closes: #737802

 -- Marcin Owsiany <porridge@debian.org>  Sat, 12 Jul 2014 21:18:28 +0200

=== debian/control ===
Source: bambam
Section: games
Priority: optional
Maintainer: Bojana Borkovic <bojana.borkovic@ulk.rs.ba>
Build-Depends: debhelper (>> 9), python
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/bambam/
Vcs-Svn: http://bambam.googlecode.com/svn/trunk/

Package: bambam
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pygame
Description: keyboard mashing and doodling game for babies
 Bambam is a simple baby keyboard masher application that locks
 the keyboard and mouse and instead displays bright colors,
 pictures, and sounds.
 .
 Note: type "quit" to stop the game.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
https://code.google.com/p/bambam/wiki/ReleaseHistory .*/bambam-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))

## bambam 0.6+dfsg

=== debian/changelog ===
bambam (0.6+dfsg-1) unstable; urgency=low

  * New upstream release
  * Changed the Maintainer to myself, the old one is apparently MIA and I'm the
    current upstream.
  * Changed Homepage and Vcs-Git fields as well as debian/watch to match
    current reality. Closes: #792308
  * Removed the menu file in favour of the desktop file
  * Added dh-python to build-depends.
  * Bumped Standards-Version to 3.9.8

 -- Marcin Owsiany <porridge@debian.org>  Mon, 14 Nov 2016 08:15:03 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: bambam
 Section: games
 Priority: optional
-Maintainer: Bojana Borkovic <bojana.borkovic@ulk.rs.ba>
-Build-Depends: debhelper (>> 9), python
-Standards-Version: 3.9.5
-Homepage: https://code.google.com/p/bambam/
-Vcs-Svn: http://bambam.googlecode.com/svn/trunk/
+Maintainer: Marcin Owsiany <porridge@debian.org>
+Build-Depends: debhelper (>> 9), python, dh-python
+Standards-Version: 3.9.8
+Homepage: https://github.com/porridge/bambam
+Vcs-Git: https://github.com/porridge/bambam.git
 
 Package: bambam
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install
	install -D bambam.py $(CURDIR)/debian/bambam/usr/games/bambam

## bambam 1.0.1+dfsg

=== debian/changelog ===
bambam (1.0.1+dfsg-1) sid; urgency=medium

  * New upstream release
  * Started maintaining the debian packaging in the upstream repository (in a
    separate branch called "debian") using git-buildpackage:
    - dropped the DFSGFY script as the orig tarballs are now automatically
      generated from the debian+dfsg branch with
      `gbp buildpackage --git-component=extrasounds`
  * Added an autopkgtest script
  * Rewrote the copyright file in DEP-5 format.
  * Bumped Standards-Version to 4.2.1 (no other changes needed).
  * Added keywords and another category to desktop file.
  * Improved the Vcs-* headers.
  * Added an override for a spurious lintian warning about obsolete URL.
  * Migrated to Python 3. Closes: #912489

 -- Marcin Owsiany <porridge@debian.org>  Mon, 17 Dec 2018 11:25:59 +0100

=== debian/control ===
Source: bambam
Section: games
Priority: optional
Maintainer: Marcin Owsiany <porridge@debian.org>
Build-Depends: debhelper (>> 9), python3, dh-python
Standards-Version: 4.2.1
Homepage: https://github.com/porridge/bambam
Vcs-Git: https://github.com/porridge/bambam.git -b debian
Vcs-Browser: https://github.com/porridge/bambam

Package: bambam
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-pygame
Description: keyboard mashing and doodling game for babies
 Bambam is a simple baby keyboard masher application that locks
 the keyboard and mouse and instead displays bright colors,
 pictures, and sounds.
 .
 Note: type "quit" to stop the game.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python2
+	dh $@ --with python3
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bambam-$1\.tar\.gz/ \
  https://github.com/porridge/bambam/tags .*/([\d.]+)\.tar\.gz

## bambam 1.0.2+dfsg

=== debian/changelog ===
bambam (1.0.2+dfsg-2) sid; urgency=medium

  * Bumped Standards-Version to 4.5.0 (no other changes needed).
  * Rebuilt to do a source-only upload.

 -- Marcin Owsiany <porridge@debian.org>  Thu, 13 Aug 2020 15:51:50 +0200

bambam (1.0.2+dfsg-1) sid; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Marcin Owsiany ]
  * New upstream release
  * Improvements to the autopkgtest script to be more resilient to changes
    of output format of the `convert` tool it uses. Closes: #966438, #966437

 -- Marcin Owsiany <porridge@debian.org>  Sun, 09 Aug 2020 16:25:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper (>> 9), python3, dh-python
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), python3, dh-python
+Standards-Version: 4.5.0
 Homepage: https://github.com/porridge/bambam
 Vcs-Git: https://github.com/porridge/bambam.git -b debian
 Vcs-Browser: https://github.com/porridge/bambam

## bambam 1.1.1+dfsg

=== debian/changelog ===
bambam (1.1.1+dfsg-1) sid; urgency=low

  * New upstream release (only adds new translations)
  * Fixed the regex in debian/watch

 -- Marcin Owsiany <porridge@debian.org>  Mon, 18 Jan 2021 11:30:13 +0100

bambam (1.1.0+dfsg-1) sid; urgency=low

  * New upstream release
  * Bumped Standards-Version to 4.5.1 (no changes needed).
  * Build-depend on gettext
  * Add rule to install mo files and translated manpage

 -- Marcin Owsiany <porridge@debian.org>  Thu, 31 Dec 2020 16:39:46 +0100

## bambam 1.1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
-VERSION = 1.1.1
-LINGUAS = pl nb_NO fr
+VERSION = 1.1.2
+# Note: keep po4a.conf in sync
+LINGUAS = eo fr nb_NO pl
 PREFIX ?=
 
 .PHONY: all-mo

=== requirements.txt ===
pygame==1.9.3

=== debian/changelog ===
bambam (1.1.2+dfsg-1) sid; urgency=medium

  * New upstream release, which however only contains two types of changes,
    which are targeted specifically at bullseye:
   - translation updates
   - a workaround for lack of proper keyboard grabbing under Wayland which
     has the potential of causing data loss (as a child using the game could
     relatively easily close the application)

 -- Marcin Owsiany <porridge@debian.org>  Fri, 26 Feb 2021 13:07:05 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: games
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
-Build-Depends: debhelper-compat (= 12), python3, dh-python
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 12), python3, dh-python, gettext
+Standards-Version: 4.5.1
 Homepage: https://github.com/porridge/bambam
 Vcs-Git: https://github.com/porridge/bambam.git -b debian
 Vcs-Browser: https://github.com/porridge/bambam
@@ -16,4 +16,5 @@
  the keyboard and mouse and instead displays bright colors,
  pictures, and sounds.
  .
- Note: type "quit" to stop the game.
+ Note: to stop the game, type the command shown in upper left-hand
+ corner of the screen.

=== debian/tests/control ===
Test-Command: xvfb-run -e $AUTOPKGTEST_ARTIFACTS/xvfb-run.stderr -s "-screen 0 1024x768x24 -fbdir $AUTOPKGTEST_TMP" ./debian/tests/smoke-meat
Depends: @, python3, xvfb, xauth, imagemagick, xdotool
Features: test-name=smoke
Restrictions: allow-stderr  # SDL complains about missing sound card to stderr

## bambam 1.2.1%2Bdfsg

=== debian/changelog ===
bambam (1.2.1+dfsg-1) sid; urgency=medium

  * New upstream release (just translation updates)
  * Smoke test script now incorporated upstream. Use that and drop the script
    from debian/tests
  * Update copyright year
  * Update Standards-Version, no changes needed.

 -- Marcin Owsiany <porridge@debian.org>  Sat, 14 Jan 2023 08:42:08 +0100

bambam (1.2.0+dfsg-1) sid; urgency=low

  * New upstream release
  * Update Standards-Version, no changes needed.
  * Install upstream (localized!) desktop files, drop the one in debian/
  * Update the lintian override context to match new format too.
  * Mention the dedicated session mode in package description.
  * Teach smoke test about welcome screen.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 05 Oct 2022 21:35:29 +0200

bambam (1.1.2+dfsg-3) sid; urgency=medium

  * Source-only upload to reach testing.

 -- Marcin Owsiany <porridge@debian.org>  Thu, 31 Mar 2022 18:00:10 +0200

bambam (1.1.2+dfsg-2) sid; urgency=medium

  * Fix xdotool invocations which no longer work with pygame2 for some reason.
    - search for the bambam window before sending keypresses
    - send each keypress separately rather than a combination of keys
    Closes: #1008611.

 -- Marcin Owsiany <porridge@debian.org>  Wed, 30 Mar 2022 17:16:14 +0200

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bambam-$1\.tar\.gz/ \
  https://github.com/porridge/bambam/tags .*/v([\d.]+)\.tar\.gz

## bambam 1.2.1+dfsg

=== Makefile ===
VERSION = 1.2.1
LINGUAS = $(shell awk '$$1=="[po4a_langs]"{$$1="";print}' po4a.conf)
PREFIX ?=

.PHONY: all-mo
all-mo: $(LINGUAS:%=po/%.mo)

.PHONY: all
all: all-mo all-manpages bambam-session.desktop bambam.desktop

.PHONY: all-manpages
all-manpages: $(LINGUAS:%=bambam.%.6)

.PHONY: install-mo
install-mo: $(LINGUAS:%=install-mo-%)

.PHONY: install-mo-%
install-mo-%: po/%.mo
	install -o root -g root -m 0644 -D $< $(PREFIX)/usr/share/locale/$*/LC_MESSAGES/bambam.mo

po/%.po: bambam.pot
	msgmerge -U $@ $<
	touch $@

po/%.mo: po/%.po
	msgfmt -o $@ $<

po/LINGUAS: Makefile po4a.conf
	echo $(LINGUAS) > $@

# Pot files:

bambam.pot: bambam-py.pot bambam-man.pot bambam-desktop.pot bambam-session-desktop.pot
	msgcat $^ > $@

bambam-py.pot: bambam.py Makefile
	xgettext -d bambam --msgid-bugs-address=marcin@owsiany.pl --package-name bambam --package-version $(VERSION) -o $@ -kN_ -c $<

%-desktop.pot: %.en.desktop Makefile
	xgettext -d bambam --msgid-bugs-address=marcin@owsiany.pl --package-name bambam --package-version $(VERSION) -o $@ -c $<

bambam-man.pot: bambam.6
	po4a-gettextize -f man -m $< -p $@

# Localized artifacts:

bambam.%.6: po/%.po bambam.6
	po4a-translate -f man -m bambam.6 -p $< -l $@

%.desktop: %.en.desktop $(LINGUAS:%=po/%.mo) po/LINGUAS
	msgfmt --desktop --template $< -d po/ -o $@

.PHONY: clean
clean:
	rm -f $(LINGUAS:%=po/%.mo) po/LINGUAS

=== requirements.txt ===
pygame==2.1.2

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
 Build-Depends: debhelper-compat (= 12), python3, dh-python, gettext
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/porridge/bambam
 Vcs-Git: https://github.com/porridge/bambam.git -b debian
 Vcs-Browser: https://github.com/porridge/bambam
@@ -16,5 +16,7 @@
  the keyboard and mouse and instead displays bright colors,
  pictures, and sounds.
  .
- Note: to stop the game, type the command shown in upper left-hand
- corner of the screen.
+ Note: for safety it is recommended to run the game in a dedicated login
+ session, rather than as an application in your regular session, especially
+ when leaving your child unattended with the game. Look for session type BamBam
+ in your display manager login screen.

=== debian/tests/control ===
Test-Command: xvfb-run -e $AUTOPKGTEST_ARTIFACTS/xvfb-run.stderr -s "-screen 0 1024x768x24 -fbdir $AUTOPKGTEST_TMP" ./test-e2e.py
Depends: @, python3, xvfb, xauth, imagemagick, xdotool
Features: test-name=smoke
Restrictions: allow-stderr  # SDL complains about missing sound card to stderr

## bambam 1.3.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.2.1
+VERSION = 1.3.0
 LINGUAS = $(shell awk '$$1=="[po4a_langs]"{$$1="";print}' po4a.conf)
 PREFIX ?=
 
@@ -40,7 +40,7 @@
 	xgettext -d bambam --msgid-bugs-address=marcin@owsiany.pl --package-name bambam --package-version $(VERSION) -o $@ -c $<
 
 bambam-man.pot: bambam.6
-	po4a-gettextize -f man -m $< -p $@
+	po4a-updatepo -f man -m $< -p $@
 
 # Localized artifacts:
 
@@ -53,3 +53,13 @@
 .PHONY: clean
 clean:
 	rm -f $(LINGUAS:%=po/%.mo) po/LINGUAS
+
+# From https://docs.weblate.org/pl/latest/faq.html#merge
+.PHONY: resolve-conflicts-in-po-files
+resolve-conflicts-in-po-files:
+	for PO in `find . -name '*.po'` ; do \
+		lang=$${PO##*/}; lang=$${lang%.po}; \
+		msgcat --use-first ../app-and-manpage/$$PO $$PO -o $$PO.merge; \
+		msgmerge --previous --lang=$$lang $$PO.merge bambam.pot -o $$PO; \
+		rm $$PO.merge; \
+	done

=== requirements.txt ===
pygame==2.5.2
pyyaml==6.0.1

=== debian/changelog ===
bambam (1.3.0+dfsg-3) sid; urgency=medium

  * Make autopkgtes require sox

 -- Marcin Owsiany <porridge@debian.org>  Wed, 03 Jul 2024 22:09:03 +0200

bambam (1.3.0+dfsg-2) sid; urgency=medium

  * Fix autopkgtest command.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 02 Jul 2024 23:13:01 +0200

bambam (1.3.0+dfsg-1) sid; urgency=low

  * New upstream release (extension support, robustness improvements,
    test improvements)
  * Added installation of the extension files
  * Improve debian/copyright formatting and update year.
  * Add copyright and license information for extension.
  * Bumped Standards-Version, no changes needed.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 30 Apr 2024 15:10:01 +0200

## bambam 1.4.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.3.0
+VERSION = 1.4.0
 LINGUAS = $(shell awk '$$1=="[po4a_langs]"{$$1="";print}' po4a.conf)
 PREFIX ?=

=== requirements.txt ===
pygame==2.6.0
pyyaml==6.0.2

=== debian/changelog ===
bambam (1.4.0+dfsg-1) sid; urgency=low

  * New upstream release.

 -- Marcin Owsiany <porridge@debian.org>  Fri, 30 Aug 2024 18:40:48 +0200

## bambam 1.4.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 1.4.0
+VERSION = 1.4.1
 LINGUAS = $(shell awk '$$1=="[po4a_langs]"{$$1="";print}' po4a.conf)
 PREFIX ?=
 
@@ -16,7 +16,7 @@
 
 .PHONY: install-mo-%
 install-mo-%: po/%.mo
-	install -o root -g root -m 0644 -D $< $(PREFIX)/usr/share/locale/$*/LC_MESSAGES/bambam.mo
+	install -m 0644 -D $< $(PREFIX)/usr/share/locale/$*/LC_MESSAGES/bambam.mo
 
 po/%.po: bambam.pot
 	msgmerge -U $@ $<

=== requirements.txt ===
pygame==2.6.1
pyyaml==6.0.2

=== debian/changelog ===
bambam (1.4.1+dfsg-1) sid; urgency=medium

  * New upstream release. Includes fix for install command.
    Closes: #1089289.

 -- Marcin Owsiany <porridge@debian.org>  Tue, 17 Dec 2024 13:53:34 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Marcin Owsiany <porridge@debian.org>
 Build-Depends: debhelper-compat (= 12), python3, dh-python, gettext
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/porridge/bambam
 Vcs-Git: https://github.com/porridge/bambam.git -b debian
 Vcs-Browser: https://github.com/porridge/bambam

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,4 @@
 override_dh_auto_install:
 	dh_auto_install
 	install -D bambam.py $(CURDIR)/debian/bambam/usr/games/bambam
+	make install-mo PREFIX=$(CURDIR)/debian/bambam

=== debian/tests/control ===
Test-Command: xvfb-run -e $AUTOPKGTEST_ARTIFACTS/xvfb-run.stderr -s "-screen 0 1024x768x24 -fbdir $AUTOPKGTEST_TMP" ./test_e2e.py
Depends: @, python3, xvfb, xauth, imagemagick, xdotool, sox
Features: test-name=smoke
Restrictions: allow-stderr  # SDL complains about missing sound card to stderr
